You are not logged in.

#1 2012-07-19 16:26:53

pablox
Member
From: /home/chile/curico/
Registered: 2008-05-14
Posts: 169
Website

[SOLVED] Flashplugin 11.2.202.236-1 flash crash on any browser

Sadly, I found that flashplugin just plain crash in latest chrome (Chromium 20.0.1132.57) and firefox (Firefox 14.0.1), I tried to downgrade flashplugin (until 10.x)[1] but the problem persists. I also tried to disable hardware acceleration but this doesn't solve it either :(.

Is somebody running into this issue too? I've searched the bbs and I don't found anything according to Firefox 14.0 and this flashplugin version.

I'm running Arch x86_64.

[1] http://arm.konnichi.com/search/index.ph … in&extra=1

Last edited by pablox (2012-08-31 17:30:20)


Geeks & Linux Atelier
An eye for an eye ... ends in making everybody blind -- Mahatma Gandhi
dotfiles

Offline

#2 2012-07-19 19:51:23

quasifilmie
Member
From: Bowmanville, Ontario, Canada
Registered: 2011-10-27
Posts: 293

Re: [SOLVED] Flashplugin 11.2.202.236-1 flash crash on any browser

You need to provide more info. What happens when you run chromium or firefox from the terminal? .xsession-errors?  video card? Also with chromium you can try pepper flash: http://aur.archlinux.org/packages.php?ID=60443.

Last edited by quasifilmie (2012-07-19 19:51:39)

Offline

#3 2012-07-19 23:36:36

pablox
Member
From: /home/chile/curico/
Registered: 2008-05-14
Posts: 169
Website

Re: [SOLVED] Flashplugin 11.2.202.236-1 flash crash on any browser

"Adobe Plugin has Crashed"

That's the error I get in both browsers. In youtube appears the "XP" face instead of the video the terminal output shows only:

Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object file: No such file or directory

My video is:

00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07).

In chrome Pepper flash works okay (at least in youtube).

Last edited by pablox (2012-07-19 23:43:36)


Geeks & Linux Atelier
An eye for an eye ... ends in making everybody blind -- Mahatma Gandhi
dotfiles

Offline

#4 2012-07-21 20:25:22

pablox
Member
From: /home/chile/curico/
Registered: 2008-05-14
Posts: 169
Website

Re: [SOLVED] Flashplugin 11.2.202.236-1 flash crash on any browser

I am the only one with this issue?


Geeks & Linux Atelier
An eye for an eye ... ends in making everybody blind -- Mahatma Gandhi
dotfiles

Offline

#5 2012-07-21 20:36:09

Gusar
Member
Registered: 2009-08-25
Posts: 3,500

Re: [SOLVED] Flashplugin 11.2.202.236-1 flash crash on any browser

pablox wrote:

I am the only one with this issue?

Looks like. The only crashes I'm aware of are when using hardware decoding with VDPAU. But you don't have VDPAU-capable graphics, so that's not it.

Last edited by Gusar (2012-07-21 20:36:41)

Offline

#6 2012-07-23 18:02:05

mwknowles92
Member
Registered: 2010-08-28
Posts: 19

Re: [SOLVED] Flashplugin 11.2.202.236-1 flash crash on any browser

I'm getting this exact same problem.  I'm running x86_64 and flash crashes in every browser.  It also gives me the same error message.

Failed to open VDPAU backend libvdpau_nvidia.so: cannot open shared object file: No such file or directory

I don't know why it's trying to use vdpau because my graphics card is:

00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 12) (prog-if 00 [VGA controller])

Offline

#7 2012-07-23 18:11:31

Gusar
Member
Registered: 2009-08-25
Posts: 3,500

Re: [SOLVED] Flashplugin 11.2.202.236-1 flash crash on any browser

Like I said, Intel is not VDPAU-capable (it uses vaapi instead, but that's not supported by flash). So you can ignore that message.

Offline

#8 2012-07-23 19:03:33

mwknowles92
Member
Registered: 2010-08-28
Posts: 19

Re: [SOLVED] Flashplugin 11.2.202.236-1 flash crash on any browser

Alright I got flash to work in Firefox by installing

lib32-flashplugin10

from the AUR.

You might have to go to about:config in Firefox and set

dom.ipc.plugins.enabled

to true.

Last edited by mwknowles92 (2012-07-23 19:04:26)

Offline

#9 2012-07-23 20:05:27

pablox
Member
From: /home/chile/curico/
Registered: 2008-05-14
Posts: 169
Website

Re: [SOLVED] Flashplugin 11.2.202.236-1 flash crash on any browser

mwknowles92 wrote:

Alright I got flash to work in Firefox by installing

lib32-flashplugin10

from the AUR.

You might have to go to about:config in Firefox and set

dom.ipc.plugins.enabled

to true.

Thanks, that works, but it means we are running an old flash version. I will continue to investigate the issue.

@Gusar

Thanks, I've read that, still that's the only error I get in the console. Any tip/advice on how I can find the problem?


Geeks & Linux Atelier
An eye for an eye ... ends in making everybody blind -- Mahatma Gandhi
dotfiles

Offline

#10 2012-07-23 20:24:03

Gusar
Member
Registered: 2009-08-25
Posts: 3,500

Re: [SOLVED] Flashplugin 11.2.202.236-1 flash crash on any browser

Flash 10.3 is still being maintained, so if it works, use it. Except the lib32-flashplugin10 package from AUR installs an old version which has known security holes. Only use the versions listed here: http://www.adobe.com/products/flashplay … tion3.html

@pablox: You're basically screwed smile. Flash is a closed-source piece of excrement. Adobe couldn't get it running properly, so they gave up. They literally gave up - note how there's no 11.3 for Linux at that link.

Offline

#11 2012-07-23 20:35:24

pablox
Member
From: /home/chile/curico/
Registered: 2008-05-14
Posts: 169
Website

Re: [SOLVED] Flashplugin 11.2.202.236-1 flash crash on any browser

Gusar wrote:

Flash 10.3 is still being maintained, so if it works, use it. Except the lib32-flashplugin10 package from AUR installs an old version which has known security holes. Only use the versions listed here: http://www.adobe.com/products/flashplay … tion3.html

@pablox: You're basically screwed smile. Flash is a closed-source piece of excrement. Adobe couldn't get it running properly, so they gave up. They literally gave up - note how there's no 11.3 for Linux at that link.

Hahahaha, I know. I was using 11.2.x (i believe) until a couple of days ago in Chromium and Firefox. Then suddenly they stopped working. As I said, I tried a lot of different versions but all of them were crashing.

The package in the AUR reports:

Version        : 10.3.183.15-1

So I guess it's okay.


Geeks & Linux Atelier
An eye for an eye ... ends in making everybody blind -- Mahatma Gandhi
dotfiles

Offline

#12 2012-07-23 21:06:18

Gusar
Member
Registered: 2009-08-25
Posts: 3,500

Re: [SOLVED] Flashplugin 11.2.202.236-1 flash crash on any browser

pablox wrote:

The package in the AUR reports:

Version        : 10.3.183.15-1

So I guess it's okay.

Err... read again what I wrote. That version is specifically *not* ok.

Offline

#13 2012-07-24 01:08:54

pablox
Member
From: /home/chile/curico/
Registered: 2008-05-14
Posts: 169
Website

Re: [SOLVED] Flashplugin 11.2.202.236-1 flash crash on any browser

Gusar wrote:
pablox wrote:

The package in the AUR reports:

Version        : 10.3.183.15-1

So I guess it's okay.

Err... read again what I wrote. That version is specifically *not* ok.

Sorry, I looked the first three parts of the version number...

AUR: 10.3.183.15

From the webpage you told me: 10.3.183.20

... the fourth one differs in one number. I'm gonna fix the pkgbuild and install that one, thanks again.


Geeks & Linux Atelier
An eye for an eye ... ends in making everybody blind -- Mahatma Gandhi
dotfiles

Offline

#14 2012-07-25 15:39:05

pablox
Member
From: /home/chile/curico/
Registered: 2008-05-14
Posts: 169
Website

Re: [SOLVED] Flashplugin 11.2.202.236-1 flash crash on any browser

Well, I updated the pkgbuild a bit, and also changed to the last version (10.3.183.20) supported.

https://gist.github.com/3176811

(first one is the patch to the pkgbuild and the second one is the pkgbuild itself).

I hope it helps if someone else runs into the same issue.

Again, thanks Gusar smile


Geeks & Linux Atelier
An eye for an eye ... ends in making everybody blind -- Mahatma Gandhi
dotfiles

Offline

#15 2012-07-26 20:44:17

kalenjohnson
Member
From: San Diego
Registered: 2012-07-26
Posts: 2
Website

Re: [SOLVED] Flashplugin 11.2.202.236-1 flash crash on any browser

Thought I would chime in, I used your pkgbuild pablox, thanks. On basically every page though I kept getting the "Flash out of date, please update" messages. I uninstalled flashplugin, and the lib32-flashplugin, made sure all flash was removed, then installed the main flashplugin package, and it seems to be working again. Maybe it just needed to be reinstalled?

Offline

#16 2012-07-27 03:50:55

pablox
Member
From: /home/chile/curico/
Registered: 2008-05-14
Posts: 169
Website

Re: [SOLVED] Flashplugin 11.2.202.236-1 flash crash on any browser

No it doesn't work. I found that it specially fails (every time) with youtube, other apps works randomly. I guess I'll have to stay with 10.x or wait until it's somehow fixed in a next update.


Geeks & Linux Atelier
An eye for an eye ... ends in making everybody blind -- Mahatma Gandhi
dotfiles

Offline

#17 2012-08-02 18:42:13

kalenjohnson
Member
From: San Diego
Registered: 2012-07-26
Posts: 2
Website

Re: [SOLVED] Flashplugin 11.2.202.236-1 flash crash on any browser

Sorry to hear that, it's working for me smile

Offline

#18 2012-08-31 15:09:48

pablox
Member
From: /home/chile/curico/
Registered: 2008-05-14
Posts: 169
Website

Re: [SOLVED] Flashplugin 11.2.202.236-1 flash crash on any browser

I found what the problem is smile.

The issue has to do with the infinality font rendering. I was using OSX rendering (/etc/profile.d/infinality-settings.sh)... going back to DEFAULT fix it. Of course it's a bug and I'm gonna report it on infinitaly site.

I'll mark this as solved.


Geeks & Linux Atelier
An eye for an eye ... ends in making everybody blind -- Mahatma Gandhi
dotfiles

Offline

#19 2012-09-19 06:21:08

raw
Member
Registered: 2012-09-19
Posts: 1

Re: [SOLVED] Flashplugin 11.2.202.236-1 flash crash on any browser

pacman -Rcs flashplugin
rm -rf ~/.adobe/
pacman -S flashplugin

solved it for me.

Offline

#20 2013-07-02 14:46:27

speedyx
Member
From: Italy
Registered: 2008-09-05
Posts: 43
Website

Re: [SOLVED] Flashplugin 11.2.202.236-1 flash crash on any browser

raw wrote:

pacman -Rcs flashplugin
rm -rf ~/.adobe/
pacman -S flashplugin

It solved for me too. Thx raw


The Freedom Technologies Are Available... And Works!
Twitter: @speedytux

Offline

#21 2013-07-05 22:58:16

semeion
Member
From: Brazil
Registered: 2008-10-20
Posts: 56

Re: [SOLVED] Flashplugin 11.2.202.236-1 flash crash on any browser

Offline

#22 2013-07-05 23:02:00

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 20,070
Website

Re: [SOLVED] Flashplugin 11.2.202.236-1 flash crash on any browser


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

Board footer

Powered by FluxBB